Subject: bug#68498: closed (Re: [bug#68498] [PATCH] guix-install.sh: Make Guix modules available too.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Apr 2024 14:38:03 +0000

Your bug report

#68498: [PATCH] guix-install.sh: Make Guix modules available too.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68498: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68498
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#68498] [PATCH] guix-install.sh: Make Guix modules available too.
From: Janneke Nieuwenhuizen <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], Maxim Cournoyer <[email-masked]>
Date: Sun, 07 Apr 2024 16:37:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès writes:

Hi,

> Maxim Cournoyer <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
[..]
>> I don't quite like the status quo where Guix System is different from
>> Guix on a foreign distribution for dubious reasons.  Either we expose
>> the Guix modules as part of the guix-install.sh or perhaps we can avoid
>> exposing them on Guix System, for consistency.
>>
>> What do you think?
>
> Sorry for the delay.  It’s probably not that big a deal so if you think
> this improves user experience, go for it; I don’t want to block this
> change.  Worst that can happen is we change our mind and revert it,
> that’s OK.

"Great".  I was very much in favor of this change initially: Have a
consistent Guix UX whether it be in Guix System or on a foreign distro.

Ludovic convinced me it might adverely affect the UX of the foreign
system, so yeah, I also don't know.

Most users that install Guix on a foreign system might be converting to
Guix and look for more Guix consistancy, or they might.

Let's have the universe tell us what it thinks.  We tried the current
situation and it's not great.

Pushe to master as 78390634d76c0c75c6e93742fa7caec965194641.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com

Subject: [PATCH] guix-install.sh: Make Guix modules available too.
From: Janneke Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Tue, 16 Jan 2024 09:27:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* etc/guix-install.sh (GUILE_LOAD_PATH): Prepend directory to current Guix
modules.
(GUILE_LOAD_COMPILED_PATH): Likewise to compiled modules.

Change-Id: I0b2722a38b1f8ebab32142cbc372a23cadfb0620
---
 etc/guix-install.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 982fb0a266..a0bb3a556b 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -12,6 +12,7 @@
 # Copyright © 2021, 2022, 2023 Maxim Cournoyer <[email-masked]>
 # Copyright © 2022 Prafulla Giri <[email-masked]>
 # Copyright © 2023 Andrew Tropin <[email-masked]>
+# Copyright © 2024 Janneke Nieuwenhuizen <[email-masked]>
 #
 # This file is part of GNU Guix.
 #
@@ -557,6 +558,10 @@ GUIX_LOCPATH="$GUIX_PROFILE/lib/locale:${GUIX_LOCPATH:+:}$GUIX_LOCPATH"
 
 export GUIX_LOCPATH
 
+# Make Guix modules available
+export GUILE_LOAD_PATH="$_GUIX_PROFILE/share/guile/site/3.0${GUILE_LOAD_PATH:+:}$GUILE_LOAD_PATH"
+export GUILE_LOAD_COMPILED_PATH="$_GUIX_PROFILE/lib/guile/3.0/site-ccache${GUILE_LOAD_COMPILED_PATH:+:}$GUILE_LOAD_COMPILED_PATH"
+
 EOF
 }

base-commit: 21f5d20d68e0359f8111ccb936905649c70db9c1
-- 
2.41.0